Summary
Description: The git repository for the ATI/AMD fglrx packaging scripts.
Last Change: Thu 2/4/10 2:40
Recent Commits
>
--git a/Debian/ChangeLog b/Debian/ChangeLog
index f7246e4..c49641f 100755
--- a/Debian/ChangeLog
+++ b/Debian/ChangeLog
@@ -1,3 +1,11 @@
+2008-09-22 Aric Cyr <Aric.Cyr@gmail.com>
+
+ * dists/*/fglrx-driver.{preinst,postrm}
+ - Fixed diversion of libdri.so for upgrade case from APT fglrx-driver
+
+ * ati-package.sh
+ - remove Sarge support due to lack of XFree86 4.3.0 support upstream
+
2008-09-17 Aric Cyr <Aric.Cyr@gmail.com>
* dists/*/fglrx-driver.{preinst,postrm}
diff --git a/Debian/ati-packager.sh b/Debian/ati-packager.sh
index 5f14408..5fafbec 100755
--- a/Debian/ati-packager.sh
+++ b/Debian/ati-packager.sh
@@ -10,7 +10,7 @@ DRV_RELEASE="`./ati-packager-helper.sh --version`"
DEBEMAIL="`./ati-packager-helper.sh --vendor` <`./ati-packager-helper.sh --url`>"
WOODY="woody"
-SARGE="sarge oldstable"
+SARGE="sarge oldstable" # no longer advertised or supported
ETCH="etch stable"
LENNY="lenny testing"
SID="sid unstable"
@@ -27,7 +27,7 @@ umask 002
#Purpose: lists distribution supported packages
getSupportedPackages()
{
- echo $SARGE $SID $ETCH $LENNY $EXPERIMENTAL
+ echo $SID $ETCH $LENNY $EXPERIMENTAL
}
makeChangelog()
@@ -63,7 +63,6 @@ buildPackage()
#Detect x* dir name corresponding to X_NAME
case ${X_NAME} in
woody|3.0) echo "Error: ${X_NAME} is no longer supported by this installer" ; exit 1 ;;
- sarge|oldstable|3.1) X_DIR=x430; X_NAME=sarge;;
etch|stable|4.0) X_DIR=x710; X_NAME=etch;;
lenny|testing) X_DIR=x710; X_NAME=lenny;;
sid|unstable) X_DIR=x710; X_NAME=sid;;
@@ -152,7 +151,7 @@ case "${action}" in
if [ "${package}" != "" ]
then
support_flag=false
- for supported_list in $WOODY $SARGE $ETCH $LENNY $SID $EXPERIMENTAL
+ for supported_list in $ETCH $LENNY $SID $EXPERIMENTAL
do
if [ "${supported_list}" = "${package}" ]
then
diff --git a/Debian/dists/etch/fglrx-driver.postrm b/Debian/dists/etch/fglrx-driver.postrm
index 746142a..1c3a111 100755
--- a/Debian/dists/etch/fglrx-driver.postrm
+++ b/Debian/dists/etch/fglrx-driver.postrm
@@ -25,6 +25,16 @@ undivert_libGL ()
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1.2"
--rename "$1/libGL.so.1.2"
+
+ if [ -d "$1/fglrx/diversions" ]; then
+ rmdir "$1/fglrx/diversions" || true
+ rmdir "$1/fglrx" || true
+ fi
+}
+
+# usage: undivert_libdri DIR
+undivert_libdri ()
+{
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libdri.so"
--rename "$1/xorg/modules/extensions/libdri.so"
@@ -71,28 +81,36 @@ restore_old_diversion ()
test -h "$1/fglrx-libGL.so.1" && rm "$1/fglrx-libGL.so.1"
}
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ restore_old_diversion /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
+
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ restore_old_diversion /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
+ fi
+ fi
+}
+
+
case "$1" in
- remove|abort-install)
+ remove|abort-install|purge)
undivert_libGL /usr/lib
-
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
undivert_libGL /emul/ia32-linux/usr/lib
fi
+
+ undivert_libdri /usr/lib
;;
upgrade|abort-upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- restore_old_diversion /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- restore_old_diversion /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
- fi
+ fix_diversions "$2"
;;
- purge|failed-upgrade|disappear)
+ failed-upgrade|disappear)
;;
*)
diff --git a/Debian/dists/etch/fglrx-driver.preinst b/Debian/dists/etch/fglrx-driver.preinst
index 2bc0cfd..1a5c4dd 100755
--- a/Debian/dists/etch/fglrx-driver.preinst
+++ b/Debian/dists/etch/fglrx-driver.preinst
@@ -36,9 +36,6 @@ divert_libGL ()
dpkg-divert --add --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1"
--rename "$1/libGL.so.1"
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libdri.so"
- --rename "$1/xorg/modules/extensions/libdri.so"
if [ "$2" ]; then
# move our libGL back in its place
@@ -46,29 +43,47 @@ divert_libGL ()
fi
}
-case "$1" in
- install)
- divert_libGL /usr/lib
+# usage: divert_libdri DIR
+divert_libdri ()
+{
+ if [ ! -d "$1/fglrx/diversions" ]; then
+ mkdir -p "$1/fglrx/diversions"
+ fi
+
+ dpkg-divert --add --package fglrx-driver
+ --divert "$1/fglrx/diversions/libdri.so"
+ --rename "$1/xorg/modules/extensions/libdri.so"
+}
+
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ # fix old diversion
+ divert_libGL /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
+ divert_libGL /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
fi
- ;;
- upgrade)
- if dpkg --compare-versions "$2" lt "8.24.8"; then
- # fix old diversion
- divert_libGL /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
+ rmdir /usr/share/fglrx/diversions || true
+ rmdir /usr/share/fglrx || true
+ fi
+}
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
+case "$1" in
+ install|upgrade)
+
+ fix_diversions "$2"
- rmdir /usr/share/fglrx/diversions || true
- rmdir /usr/share/fglrx || true
+ divert_libGL /usr/lib
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ divert_libGL /emul/ia32-linux/usr/lib
fi
+
+ divert_libdri /usr/lib
;;
abort-upgrade)
diff --git a/Debian/dists/experimental/fglrx-driver.postrm b/Debian/dists/experimental/fglrx-driver.postrm
index 746142a..1c3a111 100755
--- a/Debian/dists/experimental/fglrx-driver.postrm
+++ b/Debian/dists/experimental/fglrx-driver.postrm
@@ -25,6 +25,16 @@ undivert_libGL ()
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1.2"
--rename "$1/libGL.so.1.2"
+
+ if [ -d "$1/fglrx/diversions" ]; then
+ rmdir "$1/fglrx/diversions" || true
+ rmdir "$1/fglrx" || true
+ fi
+}
+
+# usage: undivert_libdri DIR
+undivert_libdri ()
+{
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libdri.so"
--rename "$1/xorg/modules/extensions/libdri.so"
@@ -71,28 +81,36 @@ restore_old_diversion ()
test -h "$1/fglrx-libGL.so.1" && rm "$1/fglrx-libGL.so.1"
}
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ restore_old_diversion /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
+
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ restore_old_diversion /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
+ fi
+ fi
+}
+
+
case "$1" in
- remove|abort-install)
+ remove|abort-install|purge)
undivert_libGL /usr/lib
-
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
undivert_libGL /emul/ia32-linux/usr/lib
fi
+
+ undivert_libdri /usr/lib
;;
upgrade|abort-upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- restore_old_diversion /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- restore_old_diversion /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
- fi
+ fix_diversions "$2"
;;
- purge|failed-upgrade|disappear)
+ failed-upgrade|disappear)
;;
*)
diff --git a/Debian/dists/experimental/fglrx-driver.preinst b/Debian/dists/experimental/fglrx-driver.preinst
index 2bc0cfd..1a5c4dd 100755
--- a/Debian/dists/experimental/fglrx-driver.preinst
+++ b/Debian/dists/experimental/fglrx-driver.preinst
@@ -36,9 +36,6 @@ divert_libGL ()
dpkg-divert --add --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1"
--rename "$1/libGL.so.1"
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libdri.so"
- --rename "$1/xorg/modules/extensions/libdri.so"
if [ "$2" ]; then
# move our libGL back in its place
@@ -46,29 +43,47 @@ divert_libGL ()
fi
}
-case "$1" in
- install)
- divert_libGL /usr/lib
+# usage: divert_libdri DIR
+divert_libdri ()
+{
+ if [ ! -d "$1/fglrx/diversions" ]; then
+ mkdir -p "$1/fglrx/diversions"
+ fi
+
+ dpkg-divert --add --package fglrx-driver
+ --divert "$1/fglrx/diversions/libdri.so"
+ --rename "$1/xorg/modules/extensions/libdri.so"
+}
+
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ # fix old diversion
+ divert_libGL /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
+ divert_libGL /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
fi
- ;;
- upgrade)
- if dpkg --compare-versions "$2" lt "8.24.8"; then
- # fix old diversion
- divert_libGL /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
+ rmdir /usr/share/fglrx/diversions || true
+ rmdir /usr/share/fglrx || true
+ fi
+}
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
+case "$1" in
+ install|upgrade)
+
+ fix_diversions "$2"
- rmdir /usr/share/fglrx/diversions || true
- rmdir /usr/share/fglrx || true
+ divert_libGL /usr/lib
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ divert_libGL /emul/ia32-linux/usr/lib
fi
+
+ divert_libdri /usr/lib
;;
abort-upgrade)
diff --git a/Debian/dists/lenny/fglrx-driver.postrm b/Debian/dists/lenny/fglrx-driver.postrm
index 746142a..1c3a111 100755
--- a/Debian/dists/lenny/fglrx-driver.postrm
+++ b/Debian/dists/lenny/fglrx-driver.postrm
@@ -25,6 +25,16 @@ undivert_libGL ()
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1.2"
--rename "$1/libGL.so.1.2"
+
+ if [ -d "$1/fglrx/diversions" ]; then
+ rmdir "$1/fglrx/diversions" || true
+ rmdir "$1/fglrx" || true
+ fi
+}
+
+# usage: undivert_libdri DIR
+undivert_libdri ()
+{
dpkg-divert --remove --package fglrx-driver
--divert "$1/fglrx/diversions/libdri.so"
--rename "$1/xorg/modules/extensions/libdri.so"
@@ -71,28 +81,36 @@ restore_old_diversion ()
test -h "$1/fglrx-libGL.so.1" && rm "$1/fglrx-libGL.so.1"
}
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ restore_old_diversion /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
+
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ restore_old_diversion /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
+ fi
+ fi
+}
+
+
case "$1" in
- remove|abort-install)
+ remove|abort-install|purge)
undivert_libGL /usr/lib
-
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
undivert_libGL /emul/ia32-linux/usr/lib
fi
+
+ undivert_libdri /usr/lib
;;
upgrade|abort-upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- restore_old_diversion /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- restore_old_diversion /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
- fi
+ fix_diversions "$2"
;;
- purge|failed-upgrade|disappear)
+ failed-upgrade|disappear)
;;
*)
diff --git a/Debian/dists/lenny/fglrx-driver.preinst b/Debian/dists/lenny/fglrx-driver.preinst
index 2bc0cfd..1a5c4dd 100755
--- a/Debian/dists/lenny/fglrx-driver.preinst
+++ b/Debian/dists/lenny/fglrx-driver.preinst
@@ -36,9 +36,6 @@ divert_libGL ()
dpkg-divert --add --package fglrx-driver
--divert "$1/fglrx/diversions/libGL.so.1"
--rename "$1/libGL.so.1"
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libdri.so"
- --rename "$1/xorg/modules/extensions/libdri.so"
if [ "$2" ]; then
# move our libGL back in its place
@@ -46,29 +43,47 @@ divert_libGL ()
fi
}
-case "$1" in
- install)
- divert_libGL /usr/lib
+# usage: divert_libdri DIR
+divert_libdri ()
+{
+ if [ ! -d "$1/fglrx/diversions" ]; then
+ mkdir -p "$1/fglrx/diversions"
+ fi
+
+ dpkg-divert --add --package fglrx-driver
+ --divert "$1/fglrx/diversions/libdri.so"
+ --rename "$1/xorg/modules/extensions/libdri.so"
+}
+
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ # fix old diversion
+ divert_libGL /usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
+ divert_libGL /emul/ia32-linux/usr/lib
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
fi
- ;;
- upgrade)
- if dpkg --compare-versions "$2" lt "8.24.8"; then
- # fix old diversion
- divert_libGL /usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
+ rmdir /usr/share/fglrx/diversions || true
+ rmdir /usr/share/fglrx || true
+ fi
+}
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
+case "$1" in
+ install|upgrade)
+
+ fix_diversions "$2"
- rmdir /usr/share/fglrx/diversions || true
- rmdir /usr/share/fglrx || true
+ divert_libGL /usr/lib
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ divert_libGL /emul/ia32-linux/usr/lib
fi
+
+ divert_libdri /usr/lib
;;
abort-upgrade)
diff --git a/Debian/dists/sarge/70fglrx b/Debian/dists/sarge/70fglrx
deleted file mode 100755
index 56276e5..0000000
--- a/Debian/dists/sarge/70fglrx
+++ /dev/null
@@ -1,10 +0,0 @@
-if [ `uname -m` = 'x86_64' ]; then
- LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/X11R6/lib
- LIBGL_DRIVERS_PATH=/usr/X11R6/lib/modules/dri
- if [ -d /usr/X11R6/lib32/modules/dri ]; then
- LIBGL_DRIVERS_PATH=${LIBGL_DRIVERS_PATH}:/emul/ia32-linux/usr/X11R6/lib/modules/dri
- LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/emul/ia32-linux/usr/X11R6/lib
- fi
- export LIBGL_DRIVERS_PATH
- export LD_LIBRARY_PATH
-fi
diff --git a/Debian/dists/sarge/README.Debian b/Debian/dists/sarge/README.Debian
deleted file mode 100755
index 842a278..0000000
--- a/Debian/dists/sarge/README.Debian
+++ /dev/null
@@ -1,49 +0,0 @@
-ATI video drivers for Debian
-============================
-
-Further information can be found at http://www.ati.com/ -- look for
-the "Drivers & Software" page and follow links to the Linux drivers.
-
-This package is generated automatically via the official ATI driver
-installer that is available from the above homepage.
-
-
-Building the kernel module
---------------------------
-
-First, cd into /usr/src and unpack the kernel module sources:
- $ cd /usr/src
- $ bzcat fglrx.tar.bz2 | tar x
-
-You can build the kernel module in several ways:
-1) Use the supplied make.sh script. This will build a module that matches
- the running kernel; you need to have the correct kernel source and
- configuration in place.
-
-2) Use the following commands (only on kernel 2.6.x):
- $ cd /usr/src/linux
- $ make SUBDIRS=/usr/src/modules/fglrx modules
- (replace /usr/src/linux with the path to your kernel sources)
-
-3) Use the make-kpkg(1) command provided by the kernel-package Debian
- package. This will produce a corresponding fglrx-kernel package for the
- Debian kernel-image package that you are using. This is "the Debian
- way". See the "modules_image" section of the make-kpkg(1) man page.
-
-4) Use module-assistant. In the usual environment it should detect all
- requirements. Example (assuming that you build for the running kernel):
-
- # module-assistant a-i fglrx
-
- If you have never built modules before, you should prepare the build
- environment by running:
- # module-assistant prepare
-
- If you prefer to build the packages with m-a from your own user account
- (with ~/src/linux being the kernel source):
- $ mkdir -p ~/src/modass
- $ module-assistant -u ~/src/modass -k ~/src/linux install fglrx
-
-Options 3) and 4) will create a nice Debian package to install;
-otherwise, you'll have to copy the module to the right directory under
-/lib/modules, then run 'depmod -ae' and 'modprobe fglrx' to load it.
diff --git a/Debian/dists/sarge/amdcccle.desktop b/Debian/dists/sarge/amdcccle.desktop
deleted file mode 100755
index 9f78ac3..0000000
--- a/Debian/dists/sarge/amdcccle.desktop
+++ /dev/null
@@ -1,18 +0,0 @@
-[Desktop Entry]
-Name=ATI Catalyst Control Center
-Comment=ATI graphics adapter settings
-Name[de]=ATI Catalyst Control Center
-Comment[de]=ATI grafics adapter settings
-SwallowExec=
-BinaryPattern=
-Icon=ccc_large.xpm
-MiniIcon=ccc_small.xpm
-Protocols=
-MimeType=
-Exec=amdcccle
-TerminalOptions=
-Path=/usr/bin
-DocPath=
-Type=Application
-Terminal=0
-Categories=Application;Utility
diff --git a/Debian/dists/sarge/amdcccle.kdelnk b/Debian/dists/sarge/amdcccle.kdelnk
deleted file mode 100755
index ccc90be..0000000
--- a/Debian/dists/sarge/amdcccle.kdelnk
+++ /dev/null
@@ -1,18 +0,0 @@
-# KDE Config File
-[KDE Desktop Entry]
-Name=ATI Catalyst Control Center
-Comment=ATI graphics adapter settings
-Name[de]=ATI Catalyst Control Center
-Comment[de]=ATI grafics adapter settings
-SwallowExec=
-BinaryPattern=
-Icon=ccc_large.xpm
-MiniIcon=ccc_small.xpm
-Protocols=
-MimeType=
-Exec=amdcccle
-TerminalOptions=
-Path=/usr/bin
-DocPath=
-Type=Application
-Terminal=0
diff --git a/Debian/dists/sarge/compat b/Debian/dists/sarge/compat
deleted file mode 100755
index b8626c4..0000000
--- a/Debian/dists/sarge/compat
+++ /dev/null
@@ -1 +0,0 @@
-4
diff --git a/Debian/dists/sarge/control b/Debian/dists/sarge/control
deleted file mode 100755
index a92f581..0000000
--- a/Debian/dists/sarge/control
+++ /dev/null
@@ -1,60 +0,0 @@
-Source: fglrx-installer
-Section: non-free/x11
-Priority: extra
-Maintainer: Aric Cyr <Aric.Cyr@gmail.com>
-Build-Depends: debhelper (>= 4.2.11), wget, rpm, bzip2, xserver-xfree86 | xserver-xorg, x-dev, ia32-libs [amd64], libstdc++5
-Standards-Version: 3.6.1
-
-Package: fglrx-driver
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, xserver-${XSERVER} (>= ${XVERSION}), xserver-${XSERVER} (<< ${XVERSIONMAX})
-Recommends: fglrx-kernel
-Conflicts: nvidia-glx
-Description: Video driver for the ATI graphics accelerators
- Video driver for the ATI Radeon and FireGL graphics accelerators.
- .
- This version of the ATI driver officially supports:
- * RADEON X1300, X1600, X1800, X1900
- * RADEON 8500, 9000, 9100, 9200, 9500, 9550, 9600, 9700, 9800
- * RADEON X800, X700, X600, X300 series (AGP and PCI Express)
- * MOBILITY RADEON 9000, 9200, 9600, 9800, X700
- * MOBILITY RADEON 9000/9100 IGP Series
- * FireGL 8700, 8800, E1, E2, X1, X2, X3, Z1, T2
- * MOBILITY FireGL 9100, T2
- .
- Caution: This software driver provides only 2D support for the
- ATI RADEON 9100 IGP and ATI RADEON 9100 PRO IGP.
- .
- This package provides 2D display drivers
- and hardware accelerated OpenGL for ${XTYPE} ${XVERSION}.
-
-Package: fglrx-driver-dev
-Section: non-free/devel
-Architecture: amd64 i386
-Depends: fglrx-driver
-Description: Video driver for the ATI graphics accelerators (devel files)
- Video driver for the ATI Radeon and FireGL graphics accelerators.
- .
- This package provides definitions for the GL and GLX extensions
- and the FGLRXGAMMA extension interface library.
-
-Package: fglrx-kernel-src
-Architecture: amd64 i386
-Depends: debconf, debhelper (>= 4.2.11), make, bzip2
-Recommends: module-assistant | kernel-package
-Suggests: fglrx-driver
-Description: Kernel module source for the ATI graphics accelerators
- Video driver for the ATI Radeon and FireGL graphics accelerators.
- .
- This package provides the kernel module build environment.
-
-Package: fglrx-amdcccle
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, ia32-libs [amd64]
-Conflicts: fglrx-control-qt2, fglrx-control
-Replaces: fglrx-control-qt2, fglrx-control
-Description: Catalyst Control Center for the ATI graphics accelerators
- Catalyst Control Center for the ATI Radeon and FireGL graphics accelerators.
- .
- This package provides the Catalyst Control Center, Linux Edition
-
diff --git a/Debian/dists/sarge/copyright b/Debian/dists/sarge/copyright
deleted file mode 100755
index dd36f44..0000000
--- a/Debian/dists/sarge/copyright
+++ /dev/null
@@ -1,190 +0,0 @@
-ATI Software End User License Agreement
-
-PLEASE READ THIS LICENSE CAREFULLY BEFORE USING THE SOFTWARE. BY
-DOWNLOADING, INSTALLING, COPYING OR USING THE SOFTWARE, YOU ARE AGREEING TO
-BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU ARE ACCESSING THE SOFTWARE
-ELECTRONICALLY, SIGNIFY YOUR AGREEMENT BY CLICKING THE "AGREE/ACCEPT"
-BUTTON. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE, PROMPTLY RETURN
-THE SOFTWARE TO THE PLACE WHERE YOU OBTAINED IT AND (IF APPLICABLE) YOUR
-MONEY WILL BE REFUNDED OR IF THE SOFTWARE WAS ACCESSED ELECTRONICALLY CLICK
-"DISAGREE/DECLINE".
-
-1. License. ATI Technologies Inc., on behalf of itself, its subsidiaries
-and licensors (referred collectively as "ATI") grants to you the following
-non-exclusive, right to use the software accompanying this License
-(hereinafter "Software") subject to the following terms and limitations:
-
-(a) Regardless of the media upon which it is distributed, the Software is
-licensed to you for use solely in conjunction with ATI hardware products to
-which the Software relates ("ATI Hardware").
-
-(b) You own the medium on which the Software is recorded, but ATI and, if
-applicable, its licensors retain title to the Software and related
-documentation.
-
-(c) You may:
-
- i) use the Software solely in connection with the ATI Hardware on a
- single computer;
-
- ii) make one copy of the Software in machine-readable form for backup
- purposes only. You must reproduce on such copy ATI's copyright notice and
- any other proprietary legends that were on the original copy of the
- Software;
-
- iii) transfer all your license rights in the Software provided you must
- also transfer a copy of this License, the backup copy of the Software,
- the ATI Hardware and the related documentation and provided the other
- party reads and agrees to accept the terms and conditions of this
- License. Upon such transfer your license rights are then terminated.
-
-(d) In addition to the license terms above, with respect to portions of
-the Software in source code or binary form designed exclusively for use
-with the Linux operating system ("ATI Linux Code"), you may use, display,
-modify, copy, distribute, allow others to re-distribute, package and re-
-package such ATI Linux Code for commercial and non-commercial purposes,
-provided that:
-
- i) all binary components of the ATI Linux Code are not modified in any
- way;
-
- ii) the ATI Linux Code is only used as part of the Software and in
- connection with ATI Hardware;
-
- iii) all copyright notices of ATI are reproduced and you refer to these
- license terms;
-
- iv) you may not offer or impose any terms on the use of ATI Linux
- Code that alter or restrict this License; and
-
- v) if you have modified the ATI Linux Code, such modifications will be
- made publicly available and are licensed under the same terms provided
- herein to ATI or any other third party without further restriction,
- royalty or any other license requirement;
-
- vi) to the extent there is any ATI sample or control panel source
- code included in the ATI Linux Code, no rights are granted to modify such
- code except for portions thereof that may be subject to third party
- license terms that grant such rights; and
-
- vii) ATI is not obligated to provide any maintenance or technical support
- for any code resulting from ATI Linux Code.
-
-2. Restrictions. The Software contains copyrighted and patented material,
-trade secrets and other proprietary material. In order to protect them,
-and except as permitted by this license or applicable legislation, you may
-not:
-
- a) decompile, reverse engineer, disassemble or otherwise reduce the
- Software to a human-perceivable form;
-
- b) modify, network, rent, lend, loan, distribute or create derivative
- works based upon the Software in whole or in part; or
-
- c) electronically transmit the Software from one computer to another or
- over a network or otherwise transfer the Software except as permitted by
- this License.
-
-3. Termination. This License is effective until terminated. You may
-terminate this License at any time by destroying the Software, related
-documentation and all copies thereof. This License will terminate
-immediately without notice from ATI if you fail to comply with any
-provision of this License. Upon termination you must destroy the Software,
-related documentation and all copies thereof.
-
-4. Government End Users. If you are acquiring the Software on behalf of
-any unit or agency of the United States Government, the following
-provisions apply. The Government agrees the Software and documentation
-were developed at private expense and are provided with "RESTRICTED
-RIGHTS". Use, duplication, or disclosure by the Government is subject to
-restrictions as set forth in DFARS 227.7202-1(a) and 227.7202-3(a) (1995),
-DFARS 252.227-7013(c)(1)(ii) (Oct 1988), FAR 12.212(a)(1995), FAR 52.227-
-19, (June 1987) or FAR 52.227-14(ALT III) (June 1987),as amended from time
-to time. In the event that this License, or any part thereof, is deemed
-inconsistent with the minimum rights identified in the Restricted Rights
-provisions, the minimum rights shall prevail.
-
-5. No Other License. No rights or licenses are granted by ATI under this
-License, expressly or by implication, with respect to any proprietary
-information or patent, copyright, trade secret or other intellectual
-property right owned or controlled by ATI, except as expressly provided in
-this License.
-
-6. Additional Licenses. DISTRIBUTION OR USE OF THE SOFTWARE WITH AN
-OPERATING SYSTEM MAY REQUIRE ADDITIONAL LICENSES FROM THE OPERATING SYSTEM
-VENDOR.
-
-7. Disclaimer of Warranty on Software. You expressly acknowledge and
-agree that use of the Software is at your sole risk. The Software and
-related documentation are provided "AS IS" and without warranty of any kind
-and ATI EXPRESSLY DISCLAIMS ALL WARRANTIES, EXPRESS AND IMPLIED, INCLUDING,
-BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
-FORA PARTICULAR PURPOSE, OF QUALITY, OF QUIET ENJOYMENT AND OF NON-
-INFRINGEMENT OF THIRD PARTY RIGHTS. ATI DOES NOT WARRANT THAT THE
-FUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT
-THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT
-DEFECTS IN THE SOFTWARE WILL BE CORRECTED. THE ENTIRE RISK AS TO THE
-RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. FURTHERMORE,
-ATI DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE ORTHE
-RESULTS OF THE USE OF THE SOFTWARE OR RELATED DOCUMENTATION IN TERMS OF
-THEIR CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE. NO
-ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY ATI OR ATI'S AUTHORIZED
-REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF
-THIS WARRANTY. SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU (AND NOT ATI OR
-ATI'S AUTHORIZED REPRESENTATIVE) ASSUME THE ENTIRE COST OF ALL NECESSARY
-SERVICING, REPAIR OR CORRECTION. THE SOFTWARE IS NOT INTENDED FOR USE IN
-MEDICAL, LIFE SAVING OR LIFE SUSTAINING APPLICATIONS. SOME JURISDICTIONS
-DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION
-MAY NOT APPLY TO YOU.
-
-8. Limitation of Liability. TO THE MAXIMUM EXTENT PERMITTED BY LAW, UNDER
-NO CIRCUMSTANCES INCLUDING NEGLIGENCE, SHALL ATI, OR ITS DIRECTORS,
-OFFICERS, EMPLOYEES OR AGENTS, BE LIABLE TO YOU FOR ANY INCIDENTAL,
-INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF
-BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESSINFORMATION, AND
-THE LIKE) ARISING OUT OF THE USE, MISUSE OR INABILITY TO USE THE SOFTWARE
-OR RELATED DOCUMENTATION, BREACH OR DEFAULT, INCLUDING THOSE ARISING FROM
-INFRINGEMENT OR ALLEGED INFRINGEMENT OF ANY PATENT, TRADEMARK, COPYRIGHT OR
-OTHER INTELLECTUAL PROPERTY RIGHT, BY ATI, EVEN IF ATI OR ATI'S AUTHORIZED
-REPRESENTATIVE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME
-JURISDICTIONS DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR
-INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION
-MAY NOT APPLY TO YOU. ATI will not be liable for 1) loss of, or damage to,
-your records or data or 2) any damages claimed by you based on any third
-party claim. In no event shall ATI's total liability to you for all
-damages, losses, and causes of action (whether in contract, tort (including
-negligence) or otherwise) exceed the amount paid by you for the Software.
-The foregoing limitations will apply even if the above stated limitation
-fails of its essential purpose.
-
-9. Controlling Law and Severability. This License shall be governed by
-and construed under the laws of the Province of Ontario, Canada without
-reference to its conflict of law principles. Any dispute related hereto
-will be brought only in the courts in Toronto, Ontario, Canada and such
-courts are agreed to be the convenient forum. In the event of any
-conflicts between foreign law, rules, and regulations, and Canadian law,
-rules, and regulations, Canadian law, rules and regulations shall prevail
-and govern. The United Nations Convention on Contracts for the
-International Sale of Goods shall not apply to this License. If for any
-reason a court of competent jurisdiction finds any provision of this
-License or portion thereof, to be unenforceable, that provision of the
-License shall be enforced to the maximum extent permissible so as to effect
-the intent of the parties, and the remainder of this License shall continue
-in full force and effect.
-
-10. Complete Agreement. This License constitutes the entire agreement
-between the parties with respect to the use of the Software and the related
-documentation, and supersedes all prior or contemporaneous understandings
-or agreements, written or oral, regarding such subject matter. No
-amendment to or modification of this License will be binding unless in
-writing and signed by a duly authorized representative of ATI.
-
-
-Packaging scripts:
- Copyright (C) 2002-2005 Flavio Stanchina
- Copyright (C) 2005-2006 Aric Cyr
- Licensed under the GNU GPL
-
-On Debian GNU/Linux systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
-
diff --git a/Debian/dists/sarge/fglrx-ac-aticonfig b/Debian/dists/sarge/fglrx-ac-aticonfig
deleted file mode 100755
index db9c954..0000000
--- a/Debian/dists/sarge/fglrx-ac-aticonfig
+++ /dev/null
@@ -1,6 +0,0 @@
-# /etc/acpi/events/fglrx-ac-aticonfig
-# Called when the user connects/disconnects ac power
-#
-
-event=ac_adapter
-action=/etc/acpi/fglrx-powermode.sh
diff --git a/Debian/dists/sarge/fglrx-driver.atieventsd.init b/Debian/dists/sarge/fglrx-driver.atieventsd.init
deleted file mode 100755
index d15169d..0000000
--- a/Debian/dists/sarge/fglrx-driver.atieventsd.init
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-
-#
-# init.d-style example script for controlling the ATI External Events Daemon
-#
-# Distro maintainers may modify this reference script as necessary to conform
-# to their distribution policies, or they may simply substitute their own script
-# instead. This reference script is provided merely as a simple example.
-#
-# Copyright (c) 2006, ATI Technologies Inc. All rights reserved.
-#
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-
-DAEMONPATH=/usr/sbin/atieventsd
-DAEMONNAME=atieventsd
-DAEMONOPTS=""
-
-[ -f $DAEMONPATH ] || exit 0
-
-case "$1" in
- start)
- echo -n "Starting $DAEMONNAME: "
- start-stop-daemon --start --oknodo --exec $DAEMONPATH -- $DAEMONOPTS
- echo "done."
- ;;
-
- stop)
- echo -n "Stopping $DAEMONNAME: "
- start-stop-daemon --stop --exec $DAEMONPATH --oknodo
- echo "done."
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- *)
- echo "$0 {start|stop|restart}"
- exit 1
- ;;
-esac
-
-exit 0
-
diff --git a/Debian/dists/sarge/fglrx-driver.postinst b/Debian/dists/sarge/fglrx-driver.postinst
deleted file mode 100755
index c1fc8b9..0000000
--- a/Debian/dists/sarge/fglrx-driver.postinst
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
diff --git a/Debian/dists/sarge/fglrx-driver.postrm b/Debian/dists/sarge/fglrx-driver.postrm
deleted file mode 100755
index 87d5192..0000000
--- a/Debian/dists/sarge/fglrx-driver.postrm
+++ /dev/null
@@ -1,105 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# summary of how this script can be called:
-# * <postrm> `remove'
-# * <postrm> `purge'
-# * <old-postrm> `upgrade' <new-version>
-# * <new-postrm> `failed-upgrade' <old-version>
-# * <new-postrm> `abort-install'
-# * <new-postrm> `abort-install' <old-version>
-# * <new-postrm> `abort-upgrade' <old-version>
-# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
-# for details, see /usr/share/doc/packaging-manual/
-
-# usage: undivert_libGL DIR
-undivert_libGL ()
-{
- # put back the link first to make sure that a ldconfig run
- # between the two dpkg-divert calls doesn't create a new link
- # that would then conflict with the one we're restoring
- dpkg-divert --remove --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1"
- --rename "$1/libGL.so.1"
- dpkg-divert --remove --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1.2"
- --rename "$1/libGL.so.1.2"
- dpkg-divert --remove --package fglrx-driver
- --divert "$1/fglrx/diversions/libdri.so"
- --rename "$1/xorg/modules/extensions/libdri.so"
-
- if [ -d "$1/fglrx/diversions" ]; then
- rmdir "$1/fglrx/diversions" || true
- rmdir "$1/fglrx" || true
- fi
-}
-
-# usage: restore_old_diversion DIR OLDFILE
-restore_old_diversion ()
-{
- # we might have added the new diversions: remove them
- if dpkg-divert --list "$1/fglrx/diversions/libGL.so.1" | grep -q '\<fglrx-driver$'; then
- test -h "$1/libGL.so.1" && mv "$1/libGL.so.1" "$1/fglrx-libGL.so.1"
- dpkg-divert --remove --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1"
- --rename "$1/libGL.so.1"
- fi
- if dpkg-divert --list "$1/fglrx/diversions/libGL.so.1.2" | grep -q '\<fglrx-driver$'; then
- test -f "$1/libGL.so.1.2" && mv "$1/libGL.so.1.2" "$1/fglrx-libGL.so.1.2"
- dpkg-divert --remove --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1.2"
- --rename "$1/libGL.so.1.2"
- fi
-
- # we might have created "$1/fglrx/diversions": remove it
- if [ -d "$1/fglrx/diversions" ]; then
- rmdir "$1/fglrx/diversions" || true
- rmdir "$1/fglrx" || true
- fi
-
- # we might have removed the old diversion: restore it
- if ! (dpkg-divert --list "$2" | grep -q '\<fglrx-driver$'); then
- mkdir -p "$(dirname $2)"
- dpkg-divert --add --package fglrx-driver
- --divert "$2"
- --rename "$1/libGL.so.1.2"
- fi
-
- # we might have moved our libGL to a temporary name: put it back
- test -f "$1/fglrx-libGL.so.1.2" && mv "$1/fglrx-libGL.so.1.2" "$1/libGL.so.1.2"
- test -h "$1/fglrx-libGL.so.1" && rm "$1/fglrx-libGL.so.1"
-}
-
-case "$1" in
- remove|abort-install)
- undivert_libGL /usr/X11R6/lib
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- undivert_libGL /emul/ia32-linux/usr/X11R6/lib
- fi
- ;;
-
- upgrade|abort-upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- restore_old_diversion /usr/X11R6/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- restore_old_diversion /emul/ia32-linux/usr/X11R6/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
- fi
- ;;
-
- purge|failed-upgrade|disappear)
- ;;
-
- *)
- echo "postrm called with unknown argument \`$1'" >&2
- exit 0
- ;;
-esac
-
-#DEBHELPER#
-
diff --git a/Debian/dists/sarge/fglrx-driver.preinst b/Debian/dists/sarge/fglrx-driver.preinst
deleted file mode 100755
index 3b3140b..0000000
--- a/Debian/dists/sarge/fglrx-driver.preinst
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# summary of how this script can be called:
-# * <new-preinst> `install'
-# * <new-preinst> `install' <old-version>
-# * <new-preinst> `upgrade' <old-version>
-# * <old-preinst> `abort-upgrade' <new-version>
-#
-# For details see /usr/share/doc/packaging-manual/
-
-# usage: divert_libGL DIR [OLDFILE]
-# if OLDFILE is not empty, fixes an old diversion
-divert_libGL ()
-{
- if [ "$2" ]; then
- # move our libGL out of the way for a while
- mv "$1/libGL.so.1.2" "$1/fglrx-libGL.so.1.2"
-
- # remove the old diversion
- dpkg-divert --remove --package fglrx-driver
- --divert "$2"
- --rename "$1/libGL.so.1.2"
- fi
-
- if [ ! -d "$1/fglrx/diversions" ]; then
- mkdir -p "$1/fglrx/diversions"
- fi
-
- # divert the real library first to make sure that a ldconfig run
- # between the two dpkg-divert calls doesn't recreate the link
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1.2"
- --rename "$1/libGL.so.1.2"
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libGL.so.1"
- --rename "$1/libGL.so.1"
- dpkg-divert --add --package fglrx-driver
- --divert "$1/fglrx/diversions/libdri.so"
- --rename "$1/xorg/modules/extensions/libdri.so"
-
- if [ "$2" ]; then
- # move our libGL back in its place
- mv "$1/fglrx-libGL.so.1.2" "$1/libGL.so.1.2"
- fi
-}
-
-case "$1" in
- install)
- divert_libGL /usr/X11R6/lib
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/X11R6/lib
- fi
- ;;
-
- upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- # fix old diversion
- divert_libGL /usr/X11R6/lib
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/X11R6/lib
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
-
- rmdir /usr/share/fglrx/diversions || true
- rmdir /usr/share/fglrx || true
- fi
- ;;
-
- abort-upgrade)
- ;;
-
- *)
- echo "preinst called with unknown argument \`$1'" >&2
- exit 0
- ;;
-esac
-
-#DEBHELPER#
-
diff --git a/Debian/dists/sarge/fglrx-driver.prerm b/Debian/dists/sarge/fglrx-driver.prerm
deleted file mode 100755
index 0724b5b..0000000
--- a/Debian/dists/sarge/fglrx-driver.prerm
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#stop kernel mode driver
-#/sbin/rmmod fglrx 2> /dev/null
-
-#DEBHELPER#
-
diff --git a/Debian/dists/sarge/fglrx-driver.shlibs b/Debian/dists/sarge/fglrx-driver.shlibs
deleted file mode 100755
index 356ef4f..0000000
--- a/Debian/dists/sarge/fglrx-driver.shlibs
+++ /dev/null
@@ -1,4 +0,0 @@
-libGL 1 xlibmesa-gl | libgl1
-libfglrx_dm 1 fglrx-driver
-libfglrx_gamma 1 fglrx-driver
-libfglrx_pp 1 fglrx-driver
diff --git a/Debian/dists/sarge/fglrx-kernel-src.links b/Debian/dists/sarge/fglrx-kernel-src.links
deleted file mode 100755
index 41a8f6c..0000000
--- a/Debian/dists/sarge/fglrx-kernel-src.links
+++ /dev/null
@@ -1 +0,0 @@
-usr/share/modass/packages/default.sh usr/share/modass/packages/fglrx-kernel-src
diff --git a/Debian/dists/sarge/fglrx-lid-aticonfig b/Debian/dists/sarge/fglrx-lid-aticonfig
deleted file mode 100755
index 9574168..0000000
--- a/Debian/dists/sarge/fglrx-lid-aticonfig
+++ /dev/null
@@ -1,6 +0,0 @@
-# /etc/acpi/events/fglrx-lid-aticonfig
-# Called when the user opens or closes the laptop lid
-#
-
-event=button[ /]lid
-action=/etc/acpi/fglrx-powermode.sh
diff --git a/Debian/dists/sarge/fglrx-powermode.sh b/Debian/dists/sarge/fglrx-powermode.sh
deleted file mode 100755
index 95fb188..0000000
--- a/Debian/dists/sarge/fglrx-powermode.sh
+++ /dev/null
@@ -1,63 +0,0 @@
-#!/bin/bash
-
-. /etc/default/fglrx
-if [ x$FGLRX_ACPI_SWITCH_POWERSTATES != xtrue ]; then
- exit;
-fi
-
-getXuser() {
- user=`finger| grep -m1 ":$displaynum " | awk '{print $1}'`
- if [ x"$user" = x"" ]; then
- user=`finger| grep -m1 ":$displaynum" | awk '{print $1}'`
- fi
- if [ x"$user" != x"" ]; then
- userhome=`getent passwd $user | cut -d: -f6`
- export XAUTHORITY=$userhome/.Xauthority
- else
- export XAUTHORITY=""
- fi
-}
-
-grep -q closed /proc/acpi/button/lid/*/state
-if [ $? = 0 ]; then
- lid_closed=1
-else
- lid_closed=0
-fi
-
-grep -q off-line /proc/acpi/ac_adapter/*/state
-if [ $? = 0 ]; then
- on_dc=1
-else
- on_dc=0
-fi
-
-
-
-if [ ${lid_closed} -eq 1 -o ${on_dc} -eq 1 ]; then
- echo "fglrx: setting low power"
- for x in /tmp/.X11-unix/*; do
- displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
- getXuser;
- if [ x"$XAUTHORITY" != x"" ]; then
- export DISPLAY=":$displaynum"
- powermode=`/usr/bin/aticonfig --lsp | grep -m1 low | cut -b 3-3`
- if [ x"$powermode" != x"" ]; then
- su $user -c "/usr/bin/aticonfig --set-powerstate=$powermode --effective=now" &>/dev/null
- fi
- fi
- done
-else
- echo "fglrx: setting default powermode"
- for x in /tmp/.X11-unix/*; do
- displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
- getXuser;
- if [ x"$XAUTHORITY" != x"" ]; then
- export DISPLAY=":$displaynum"
- powermode=`/usr/bin/aticonfig --lsp | grep -m1 default | cut -b 3-3`
- if [ x"$powermode" != x"" ]; then
- su $user -c "/usr/bin/aticonfig --set-powerstate=$powermode --effective=now" &>/dev/null
- fi
- fi
- done
-fi
diff --git a/Debian/dists/sarge/fglrx.default b/Debian/dists/sarge/fglrx.default
deleted file mode 100755
index dc4c0ea..0000000
--- a/Debian/dists/sarge/fglrx.default
+++ /dev/null
@@ -1,4 +0,0 @@
-
-# Uncomment the next line to enable powerstate switching on ACPI
-# events for lid open/close and AC adapter on/off
-#FGLRX_ACPI_SWITCH_POWERSTATES=true
diff --git a/Debian/dists/sarge/rules b/Debian/dists/sarge/rules
deleted file mode 100755
index eb62e68..0000000
--- a/Debian/dists/sarge/rules
+++ /dev/null
@@ -1,265 +0,0 @@
-#!/usr/bin/make -f
-# Copyright (C) 2002-2005 Flavio Stanchina
-# Copyright (C) 2005-2006 Aric Cyr
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-CFLAGS = -Wall
-
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
- CFLAGS += -g
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
- INSTALL_PROGRAM += -s
-endif
-ifneq (,$(ARCH))
- DEB_BUILD_ARCH := $(ARCH)
-else
-ifeq (,$(DEB_BUILD_ARCH))
- DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-endif
-endif
-
-# Changelog version (without Debian-specific version)
-CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)
-DVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2)
-
-# Detect X implementation.
-# If you want to build for a specific implementation, set XTYPE accordingly.
-# Examples: XTYPE=XFree86, XTYPE=X.Org
-ifeq (,$(XTYPE))
- XTYPE := $(shell X -version 2>&1 | grep -E "^(XFree86|X Window System|X.Org X) (Version|Server) " | sed -e "s/^X Window System /X.Org /;s/Server //" | cut -d' ' -f1)
-endif
-ifeq (,$(XSERVER))
- ifeq ($(XTYPE),XFree86)
- XSERVER := xfree86
- endif
- ifeq ($(XTYPE),X.Org)
- XSERVER := xorg
- endif
-endif
-
-# Detect X version.
-# If you want to build for a specific version, set XVERSION accordingly.
-# Example: XVERSION=4.2.0
-ifeq (,$(XVERSION))
- XVERSION := $(shell X -version 2>&1 | grep -E "^(XFree86|X Window System|X.Org X) (Version|Server) " | sed -e "s/^X Window System /X.Org /;s/Server //" | cut -d' ' -f3 | cut -d. -f1-3)
- ifeq ($(XVERSION),4.2.1)
- # There ain't no driver for 4.2.1, set to 4.2.0
- XVERSION := 4.2.0
- endif
- ifeq ($(basename $(XVERSION)),6.8)
- ifeq ($(XVERSION),6.8.99)
- XVERSIONMAX := 7.0.99
- else
- # The driver for 6.8.0 also works with 6.8.[12], and hopefully later versions
- XVERSION := 6.8.0
- endif
- endif
-endif
-
-# This is the fglrx version.
-# Example: PVERSION=2.9.13
-ifeq (,$(PVERSION))
- PVERSION := $(CVERSION)
-endif
-
-ifeq (,$(XVERSIONMAX))
- XVERSIONMAX := $(basename $(XVERSION)).99
-endif
-
-KSRCDIR := usr/src/modules/fglrx
-
-# Package names
-PKG_driver := fglrx-driver
-PKG_driver_dev := fglrx-driver-dev
-PKG_kernel_src := fglrx-kernel-src
-PKG_control := fglrx-amdcccle
-
-build: usr/X11R6
- dh_testdir
-
-usr/X11R6:
- dh_testdir
-
- # move licenses away from binary dir
- if [ ! -d usr/share/doc/fglrx ]; then \
- mkdir -p usr/share/doc/fglrx; \
- mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \
- fi
-
- # set executable on user apps
- find usr/X11R6/bin -type f | xargs chmod a+x
-
- # remove exec bit from files that don't deserve it
- find usr/X11R6/include \
- usr/X11R6/lib \
- usr/X11R6/lib64 \
- usr/share usr/src -type f | xargs chmod -x
- find lib -not -name "*.sh" -type f | xargs chmod -x
- find lib -name "*.sh" -type f | xargs chmod +x
-
- # set proper permissions on /etc files
- if [ -d etc/ati ]; then \
- chmod 755 etc/ati ; \
- chmod 644 etc/ati/* ; \
- chmod a+x etc/ati/*.sh ; \
- fi
-
- if [ -f debian/fglrx.default ]; then \
- mv -v debian/fglrx.default debian/fglrx; \
- fi
-ifeq ($(DEB_BUILD_ARCH),amd64)
- # remove exec bit from 64-bit libs too
- find usr/X11R6/lib64 -type f | xargs chmod -x
-endif
-
-clean:
- dh_testdir
- dh_testroot
- dh_clean
- -rm -fr usr opt lib
- -rm -fr extra_src
-
-# NOTE: rm -i because I don't want to accidentally remove downloaded files
-distclean: clean
- -rm -i $(RPMNAME)
-
-binary: build
- dh_testdir
- dh_testroot
- dh_clean -k
- dh_installdirs
-
- # Create the directories to install into
- dh_installdirs -p$(PKG_driver) \
- usr/X11R6 \
- usr/X11R6/lib \
- usr/X11R6/lib/modules \
- usr/bin \
- usr/sbin \
- etc/acpi \
- etc/acpi/events \
- etc/default
-
-ifeq ($(DEB_BUILD_ARCH),amd64)
- # the amd64 package includes 32bit compatibility libraries
- dh_installdirs -p$(PKG_driver) \
- emul/ia32-linux/usr/X11R6/lib \
- emul/ia32-linux/usr/X11R6/lib/modules \
- etc/X11/Xsession.d
-endif
-
- dh_installdirs -p$(PKG_driver_dev) \
- usr/X11R6 \
- usr/X11R6/include \
- usr/X11R6/lib \
- usr/include
- dh_installdirs -p$(PKG_kernel_src) \
- $(KSRCDIR) \
- $(KSRCDIR)/debian
- dh_installdirs -A -p$(PKG_control) \
- usr/bin \
- usr/share \
- usr/share/applnk \
- usr/share/applications \
- usr/share/icons \
- usr/share/pixmaps
- dh_install
-
- dh_install -p$(PKG_driver) "usr/X11R6/bin/fgl*" "usr/bin"
- dh_install -p$(PKG_driver) "usr/X11R6/bin/aticonfig" "usr/bin"
- dh_install -p$(PKG_driver) "usr/sbin/atieventsd" "usr/sbin"
- dh_installman -p$(PKG_driver) "usr/share/man/man8/atieventsd.8"
- # amd64 needs some library redirection
-ifeq ($(DEB_BUILD_ARCH),amd64)
- dh_install -p$(PKG_driver) "usr/X11R6/lib64/*.so*" "usr/X11R6/lib"
- dh_install -p$(PKG_driver) "usr/X11R6/lib64/modules/*" "usr/X11R6/lib/modules"
- dh_install -p$(PKG_driver) "usr/X11R6/lib/*.so*" "emul/ia32-linux/usr/X11R6/lib"
- dh_install -p$(PKG_driver) "usr/X11R6/lib/modules/*" "emul/ia32-linux/usr/X11R6/lib/modules"
- dh_install -p$(PKG_driver) "debian/70fglrx" "etc/X11/Xsession.d"
-else
- dh_install -p$(PKG_driver) "usr/X11R6/lib/*.so*" "usr/X11R6/lib"
- dh_install -p$(PKG_driver) "usr/X11R6/lib/modules/*" "usr/X11R6/lib/modules"
-endif
- dh_install -p$(PKG_driver) "etc/fglrx*" "etc"
- dh_install -p$(PKG_driver) "etc/ati" "etc"
- dh_install -p$(PKG_driver) "debian/fglrx-powermode.sh" "etc/acpi"
- dh_install -p$(PKG_driver) "debian/fglrx-*-aticonfig" "etc/acpi/events"
- dh_install -p$(PKG_driver) "debian/fglrx" "etc/default"
- dh_installinit -p$(PKG_driver) --name="atieventsd"
-
- # create symlinks to shared libs
- dh_link -p$(PKG_driver) "usr/lib/libGL.so.1.2" "usr/lib/libGL.so.1"
-ifeq ($(DEB_BUILD_ARCH),amd64)
- dh_link -p$(PKG_driver) "emul/ia32-linux/usr/lib/libGL.so.1.2" "emul/ia32-linux/usr/lib/libGL.so.1"
-endif
-
-ifeq ($(DEB_BUILD_ARCH),amd64)
- dh_install -p$(PKG_driver_dev) "usr/X11R6/lib64/*.a" "usr/X11R6/lib"
-else
- dh_install -p$(PKG_driver_dev) "usr/X11R6/lib/*.a" "usr/X11R6/lib"
-endif
- dh_install -p$(PKG_driver_dev) "usr/X11R6/include/*" "usr/X11R6/include"
- dh_install -p$(PKG_driver_dev) "usr/include/*" "usr/include"
-
- dh_install -p$(PKG_kernel_src) \
- lib/modules/fglrx/build_mod/*.c \
- lib/modules/fglrx/build_mod/*.h \
- lib/modules/fglrx/build_mod/*.sh \
- lib/modules/fglrx/build_mod/lib* \
- lib/modules/fglrx/build_mod/2.6.x/Makefile \
- $(KSRCDIR)
-ifeq ($(CVERSION),$(PVERSION))
- dh_install -p$(PKG_kernel_src) "debian/changelog" "$(KSRCDIR)/debian"
-else
- echo -e "fglrx-installer ($(PVERSION)+$(DVERSION)) experimental; urgency=low\n" \
- > debian/$(PKG_kernel_src)/$(KSRCDIR)/debian/changelog
- echo -e " * Version set by user; real changelog omitted.\n" \
- >> debian/$(PKG_kernel_src)/$(KSRCDIR)/debian/changelog
- echo -e " -- $(USER) <$(EMAIL)> $(shell date --rfc-822)\n" \
- >> debian/$(PKG_kernel_src)/$(KSRCDIR)/debian/changelog
-endif
- dh_install -p$(PKG_kernel_src) \
- debian/copyright \
- debian/compat \
- module/rules \
- module/control.template \
- module/dirs.template \
- module/postinst \
- $(KSRCDIR)/debian
- (cd debian/$(PKG_kernel_src)/usr/src \
- && chown -R root:src modules \
- && tar -c modules | bzip2 > fglrx.tar.bz2 \
- && rm -rf modules)
-
- # control panel package
- dh_install -A -p$(PKG_control) "usr/X11R6/bin/amdcccle" "usr/bin"
- dh_install -A -p$(PKG_control) "usr/share/icons/*.xpm" "usr/share/icons"
- dh_install -A -p$(PKG_control) "usr/share/icons/*.xpm" "usr/share/pixmaps"
- dh_install -A -p$(PKG_control) "debian/amdcccle.desktop" "usr/share/applications"
- dh_install -A -p$(PKG_control) "debian/amdcccle.kdelnk" "usr/share/applnk"
- dh_install -A -p$(PKG_control) "usr/share/ati" "usr/share"
- dh_desktop -p$(PKG_control)
-
- dh_installdocs
- dh_installdocs -p$(PKG_driver) usr/share/doc/fglrx/*
- #dh_installchangelogs
- dh_link
- dh_strip
- dh_compress
- dh_makeshlibs
- dh_installdeb
- LD_PRELOAD= dh_shlibdeps --exclude=emul
-ifeq ($(CVERSION),$(PVERSION))
- dh_gencontrol -- -VXVERSION=$(XVERSION) -VXVERSIONMAX=$(XVERSIONMAX) -VXTYPE=$(XTYPE) -VXSERVER=$(XSERVER) -VVERSION=$(PVERSION)
-else
- dh_gencontrol -- -VXVERSION=$(XVERSION) -VXVERSIONMAX=$(XVERSIONMAX) -VXTYPE=$(XTYPE) -VXSERVER=$(XSERVER) -VVERSION=$(PVERSION) -v$(PVERSION)+$(DVERSION)
-endif
- dh_md5sums
- dh_builddeb
-
-.PHONY: binary build clean distclean usr/X11R6
-
-# $Id: rules,v 1.20 2005/06/02 11:09:44 flavio Exp $
diff --git a/Debian/dists/sid/fglrx-driver.postrm b/Debian/dists/sid/fglrx-driver.postrm
index 746142a..1c3a111 100755
--- a/Debian/dists/sid/fglrx-driver.postrm
+++ b/Debian/dists/sid/fglrx-driver.postrm
@@ -25,6 +25,16 @@ undivert_libGL ()
dpkg-divert --remove --package fglrx-driver \
--divert "$1/fglrx/diversions/libGL.so.1.2" \
--rename "$1/libGL.so.1.2"
+
+ if [ -d "$1/fglrx/diversions" ]; then
+ rmdir "$1/fglrx/diversions" || true
+ rmdir "$1/fglrx" || true
+ fi
+}
+
+# usage: undivert_libdri DIR
+undivert_libdri ()
+{
dpkg-divert --remove --package fglrx-driver \
--divert "$1/fglrx/diversions/libdri.so" \
--rename "$1/xorg/modules/extensions/libdri.so"
@@ -71,28 +81,36 @@ restore_old_diversion ()
test -h "$1/fglrx-libGL.so.1" && rm "$1/fglrx-libGL.so.1"
}
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ restore_old_diversion /usr/lib \
+ /usr/share/fglrx/diversions/libGL.so.1.2
+
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ restore_old_diversion /emul/ia32-linux/usr/lib \
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
+ fi
+ fi
+}
+
+
case "$1" in
- remove|abort-install)
+ remove|abort-install|purge)
undivert_libGL /usr/lib
-
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
undivert_libGL /emul/ia32-linux/usr/lib
fi
+
+ undivert_libdri /usr/lib
;;
upgrade|abort-upgrade)
- if dpkg --compare-versions "$2" lt "8.20.8"; then
- restore_old_diversion /usr/lib \
- /usr/share/fglrx/diversions/libGL.so.1.2
-
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- restore_old_diversion /emul/ia32-linux/usr/lib \
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
- fi
+ fix_diversions "$2"
;;
- purge|failed-upgrade|disappear)
+ failed-upgrade|disappear)
;;
*)
diff --git a/Debian/dists/sid/fglrx-driver.preinst b/Debian/dists/sid/fglrx-driver.preinst
index 2bc0cfd..1a5c4dd 100755
--- a/Debian/dists/sid/fglrx-driver.preinst
+++ b/Debian/dists/sid/fglrx-driver.preinst
@@ -36,9 +36,6 @@ divert_libGL ()
dpkg-divert --add --package fglrx-driver \
--divert "$1/fglrx/diversions/libGL.so.1" \
--rename "$1/libGL.so.1"
- dpkg-divert --add --package fglrx-driver \
- --divert "$1/fglrx/diversions/libdri.so" \
- --rename "$1/xorg/modules/extensions/libdri.so"
if [ "$2" ]; then
# move our libGL back in its place
@@ -46,29 +43,47 @@ divert_libGL ()
fi
}
-case "$1" in
- install)
- divert_libGL /usr/lib
+# usage: divert_libdri DIR
+divert_libdri ()
+{
+ if [ ! -d "$1/fglrx/diversions" ]; then
+ mkdir -p "$1/fglrx/diversions"
+ fi
+
+ dpkg-divert --add --package fglrx-driver \
+ --divert "$1/fglrx/diversions/libdri.so" \
+ --rename "$1/xorg/modules/extensions/libdri.so"
+}
+
+# usage: fix_diversions <new-version>
+fix_diversions ()
+{
+ if dpkg --compare-versions "$1" lt "8.24.8"; then
+ # fix old diversion
+ divert_libGL /usr/lib \
+ /usr/share/fglrx/diversions/libGL.so.1.2
if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib
+ divert_libGL /emul/ia32-linux/usr/lib \
+ /usr/share/fglrx/diversions/libGL.so.1.2_32bit
fi
- ;;
- upgrade)
- if dpkg --compare-versions "$2" lt "8.24.8"; then
- # fix old diversion
- divert_libGL /usr/lib \
- /usr/share/fglrx/diversions/libGL.so.1.2
+ rmdir /usr/share/fglrx/diversions || true
+ rmdir /usr/share/fglrx || true
+ fi
+}
- if [ "$(dpkg --print-architecture)" = "amd64" ]; then
- divert_libGL /emul/ia32-linux/usr/lib \
- /usr/share/fglrx/diversions/libGL.so.1.2_32bit
- fi
+case "$1" in
+ install|upgrade)
+
+ fix_diversions "$2"
- rmdir /usr/share/fglrx/diversions || true
- rmdir /usr/share/fglrx || true
+ divert_libGL /usr/lib
+ if [ "$(dpkg --print-architecture)" = "amd64" ]; then
+ divert_libGL /emul/ia32-linux/usr/lib
fi
+
+ divert_libdri /usr/lib
;;
Copyright © 2010 by Phoronix Media